#include <stdio.h>

int main() {
    while (1) {
        int n;

        // Entrada do número de atletas
        printf("Digite o número de atletas (0 para sair): ");
        scanf("%d", &n);

        if (n == 0) {
            break;
        }

        // Inicializa o array para armazenar as posições no ranking
        int posicaoNoRanking[n + 1];

        // Lê as posições e registra no array
        for (int posicao = 1; posicao <= n; posicao++) {
            int atleta;
            scanf("%d", &atleta);
            posicaoNoRanking[atleta] = posicao;
        }

        // Imprime as posições no ranking
        for (int atleta = 1; atleta <= n; atleta++) {
            printf("%d\n", posicaoNoRanking[atleta]);
        }
    }

    return 0;
}
